Премини към съдържанието
  • Добре дошли!

    Добре дошли в нашите форуми, пълни с полезна информация. Имате проблем с компютъра или телефона си? Публикувайте нова тема и ще намерите решение на всичките си проблеми. Общувайте свободно и открийте безброй нови приятели.

    Моля, регистрирайте се за да публикувате тема и да получите пълен достъп до всички функции.

     

Тамболианеца

Всичко за openSUSE - новини, въпроси, проблеми

Препоръчан отговор

Привет. Искам да знам как мога да надградя в 15.1 Плазмата до 5.16.4 без да имам строшени пакети и зависимости. Благодаря ви предварително.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 1 час, Колчо написа:

Искам да знам как мога да надградя в 15.1 Плазмата до 5.16.4

Привет!

sudo zypper ar -p 75 http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.1 KDE-Qt5
sudo zypper ar -p 75 http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.1 KDE-Applications
sudo zypper ar -p 75 http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.1 KDE-Frameworks
sudo zypper refresh
sudo zypper -v dup --allow-vendor-change

 

Днес излезе финалната версия на KDE Applications 19.08:

https://kde.org/announcements/announce-applications-19.08.0

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
на 12.08.2019 г. в 23:11, p4p написа:
sudo zypper ar -p 75 http://download.opensuse.org/repositories/X11:/xfce:/next/openSUSE_Leap_15.1/ next

sudo zypper -v dup --allow-vendor-change

sudo zypper in patterns-xfce-xfce_basis xfce4-screenshooter mousepad ristretto xfce4-panel-plugin-sensors xfce4-panel-plugin-weather galculator thunar-plugin-archive

 

При инсталирането на Xfce 4.14 в Leap 15.1, още в деня на излизането на новата версия, използвах хранилището "next".

От вчера вече е налична новата версия в:

http://download.opensuse.org/repositories/X11:/xfce/openSUSE_Leap_15.1/

https://en.opensuse.org/Xfce_repositories

А "next" в момента е празно.

Аз го разбрах по по-трудния начин. Обнових както винаги с:

sudo zypper -v dup --allow-vendor-change

и след като ми изписа, че са налични няколко десетки обновления, набързо се съгласих и  получих ... версия 4.12.4.  

Поради празното хранилище "next".

Веднага се разрових, разбрах какво е станало и коригирах репото.

Ново обновление и:

Xfce 4.14.1

VIEm12i.png

Zypper няма грешка. Всичко е наред.  :)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Дай да разчепкаме малко случката. Аз не съм ползвал никога Сузи, но това което казваш ми е интересно. Т.е. ако нямаш хранилище от което да си вземе пакетите - си взима старите пакети (за които има хранилище) и сваля версията. Защо? Нали си повдигнал версията.


Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 1 час, бат'начо написа:

Дай да разчепкаме малко случката.

Забранявам добавеното хранилище за Xfce 4.14 и обновявам:

 - вариант 1 с :

sudo zypper up

Новата версия се запазва:

https://i.imgur.com/xBLzVrq.png

 - вариант 2 с:

sudo zypper dup

Следват въпроси и в зависимост от отговорите се запазва новата версия или се инсталира старата, която е по подразбиране:

https://i.imgur.com/UInmQL1.png

 - вариант 3 с:

sudo zypper -v dup --allow-vendor-change

Предлага инсталиране на наличната в момента най-нова стабилна версия.   :wink12:

Аз обновявам с последната команда за да имам винаги работеща система:

https://i.imgur.com/yX1TPFE.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Здравейте!

Днес последвах съветите на @p4p относно надграждане на Плазмата до версия 5.16.4 в Leap15.1. Всичко стана без грешка (за сега) ;)

 

plasmaversion.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 21 часа, GermanecaBG написа:

Всичко стана без грешка (за сега) ;)

Привет!

Можеш да добавиш и хранилището "Extra":

https://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.1/x86_64/

sudo zypper ar -cfp 90 http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.1/ KE

sudo zypper -v dup --allow-vendor-change

И ще имаш по-нови версии на някои програми като digikam, falkon, kdeconnect, krita ...    :)

Продължава работата по Xfce 4.14:

https://i.imgur.com/YUnduTf.png

Има инфо и за следващата версия - 4.16:

https://simon.shimmerproject.org/2019/08/21/xfce-4-14-released-yeah-like-a-week-ago/

https://www.opennet.ru/opennews/art.shtml?num=51325

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 2 часа, p4p написа:

Можеш да добавиш и хранилището "Extra":

https://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.1/x86_64/

sudo zypper ar -cfp 90 http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.1/ KE

sudo zypper -v dup --allow-vendor-change

И ще имаш по-нови версии на някои програми като digikam, falkon, kdeconnect, krita ...    :)

Привет!

Аз съм с минимална инсталация направена по твой стъпки в по-стари постове от раздела за Сусе. Не знам дали няма да създам проблем въпреки, че добавих вече хранилища за надграждане до Плазма 5.16.4 и всичко работи.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

При мен обновлението на XFCE до 4.14 не сработва. Изпълнявам това което е описано горе но в относно на XFCE седи версия 4.12.
Имам и друго интересно питане - с какво пипите темите в XFCE - задавате Titlbars и разни др...
Taзи тема искам да ползвам под XFCE - https://www.xfce-look.org/p/1230631/

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 10 часа, Колчо написа:

При мен обновлението на XFCE до 4.14 не сработва. Изпълнявам това което е описано горе но в относно на XFCE седи версия 4.12.

По-горе има описани два начина. Първият беше валиден за първите дни след излизането на Xfce 4.14, а след това - втория:

https://www.kaldata.com/forums/topic/268576-всичко-за-opensuse-новини-въпроси-проблеми/?do=findComment&comment=4342304

https://i.imgur.com/C8bFvNq.png

https://en.opensuse.org/Xfce_repositories

Няма проблем с новата версия:

https://i.imgur.com/LC0DS5f.png

преди 10 часа, Колчо написа:

Имам и друго интересно питане - с какво пипите темите в XFCE - задавате Titlbars и разни др...
Taзи тема искам да ползвам под XFCE - https://www.xfce-look.org/p/1230631/

Теглиш, разархивираш и поставяш в съответните папки:

/usr/share/themes

/usr/share/icons

или в домашната папка:

https://i.imgur.com/x7Pghpr.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 4 часа, p4p написа:

По-горе има описани два начина. Първият беше валиден за първите дни след излизането на Xfce 4.14, а след това - втория:

https://www.kaldata.com/forums/topic/268576-всичко-за-opensuse-новини-въпроси-проблеми/?do=findComment&comment=4342304

https://i.imgur.com/C8bFvNq.png

https://en.opensuse.org/Xfce_repositories

Няма проблем с новата версия:

https://i.imgur.com/LC0DS5f.png

Теглиш, разархивираш и поставяш в съответните папки:

/usr/share/themes

/usr/share/icons

или в домашната папка:

https://i.imgur.com/x7Pghpr.png

Темите ги слагам именно там - и когато ги посоча от апиирънс -  няма декорация за тайтълбар навсякъде. Нито за основния панел. А темите са пригодени от авторите им за версиите на XFCE.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Какво стана с надграждането до Plasma 5.16.4?

Какво стана с надграждането до Xfce 4.14.1?

Питаш, отговарям ти и след това ... 

И след време ... нов въпрос.

преди 7 часа, Колчо написа:

Темите ги слагам именно там - и когато ги посоча от апиирънс -  няма декорация за тайтълбар навсякъде. Нито за основния панел. А темите са пригодени от авторите им за версиите на XFCE.

Дай снимки за да се ориентирам.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 1 час, p4p написа:

Какво стана с надграждането до Plasma 5.16.4?

Какво стана с надграждането до Xfce 4.14.1?

Питаш, отговарям ти и след това ... 

И след време ... нов въпрос.

Дай снимки за да се ориентирам.

6c4132bb4ba016b9.png

Темата която съм задал е QOgir - Win...
Няма промяна на titlebars както и на декорацията на основния панел.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
публикувано (редактирано)

Oфициално: Xfce 4.14 влезе в Tumbleweed.
https://news.opensuse.org/2019/08/23/xfce-4-14-lands-in-tumbleweed/

Новите GTK3 теми  обаче нещо не ме кефят, а старите GTK2 вече не работят както се очаква, тъпо.

Виж, този стартираш екран за новобранци е свежо попълнение.
https://imgur.com/a/JRin9fW

Редактирано от Тамболианеца (преглед на промените)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 43 минути, Колчо написа:

Темата която съм задал е QOgir - Win...
Няма промяна на titlebars както и на декорацията на основния панел.

С моите теми:

https://i.imgur.com/B5PdZ9L.png

С QOgir - Win:

https://i.imgur.com/Z0FUAnr.png

https://i.imgur.com/lgIBEah.png

Има промяна.   :)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 40 минути, p4p написа:

С моите теми:

https://i.imgur.com/B5PdZ9L.png

С QOgir - Win:

https://i.imgur.com/Z0FUAnr.png

https://i.imgur.com/lgIBEah.png

Има промяна.   :)

A Какви енджини за темите си поставил.
Друго дето искам да зная е как да си направя комданда за Рут Тюнар.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 53 минути, Колчо написа:

A Какви енджини за темите си поставил.

Всичко е по подразбиране:

https://i.imgur.com/Jyz88GB.png

преди 55 минути, Колчо написа:

Друго дето искам да зная е как да си направя комданда за Рут Тюнар.

https://i.imgur.com/AAejJiB.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 4 часа, p4p написа:

Всичко е по подразбиране:

https://i.imgur.com/Jyz88GB.png

https://i.imgur.com/AAejJiB.png

Хубаво. Украсих това което ме интересува. И Въпреки че следвах стъпките за надграждане на XFCE до 4.14 - нещо куца при мен след като си седя с 4.12.4...

Мога да дам лог да опитаме да изчистиме нещата...

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 19 минути, Колчо написа:

надграждане на XFCE до 4.14

Премахни хранилището, което си добавил и изпълни следното:

sudo zypper ar -p 75 http://download.opensuse.org/repositories/X11:/xfce/openSUSE_Leap_15.1/ xfce

sudo zypper -v dup --allow-vendor-change

https://en.opensuse.org/Xfce_repositories

Ето как са хранилищата при мен:

https://i.imgur.com/aEOZwhq.png

Добавеното при мен се казва "next", а не "xfce", но адресът му е същия.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
на 5.06.2018 г. в 15:09, gogi87 написа:

Бързи команди - добавят се в /home/user/.bashrc:

 

alias up='sudo bash -c "sudo zypper up"'
alias dup='sudo bash -c "sudo zypper dup"'
alias in='sudo zypper install'
alias un='sudo zypper remove --clean-deps'

Вече използвам:

alias up='sudo bash -c "sudo zypper -v dup --allow-vendor-change"'
alias dup='sudo bash -c "sudo zypper dup"'
alias in='sudo zypper install'
alias un='sudo zypper remove --clean-deps'
alias se='sudo zypper search -s'
alias sei='sudo zypper search -si'

:)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
на 24.08.2019 г. в 16:03, p4p написа:

Премахни хранилището, което си добавил и изпълни следното:

sudo zypper ar -p 75 http://download.opensuse.org/repositories/X11:/xfce/openSUSE_Leap_15.1/ xfce

sudo zypper -v dup --allow-vendor-change

https://en.opensuse.org/Xfce_repositories

Ето как са хранилищата при мен:

https://i.imgur.com/aEOZwhq.png

Добавеното при мен се казва "next", а не "xfce", но адресът му е същия.

Ей сега ще направя тест. Имам и друг интересен въпрос - каква алтернатива на xscreensaver ползвате. Защото този в 4.12.4 определено е крайно грозен.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
преди 21 минути, Колчо написа:

Имам и друг интересен въпрос - каква алтернатива на xscreensaver ползвате. Защото този в 4.12.4 определено е крайно грозен.

xfce4-screensaver:

https://i.imgur.com/KAIOOoi.png

Има избор:

epQGzz0.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Добавете отговор

Можете да публикувате отговор сега и да се регистрирате по-късно. Ако имате регистрация, влезте в профила си за да публикувате от него.

Гост
Напишете отговор в тази тема...

×   Вмъкнахте текст, който съдържа форматиране.   Премахни форматирането на текста

  Разрешени са само 75 емотикони.

×   Съдържанието от линка беше вградено автоматично.   Премахни съдържанието и покажи само линк

×   Съдържанието, което сте написали преди беше възстановено..   Изтрий всичко

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Добави ново...